> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Premier team history by name (v1)



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v1/premier/{name}/{tag}/history
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /valorant/v1/premier/{name}/{tag}/history:
    get:
      tags:
        - valorant
      summary: Get Premier team history by name (v1)
      operationId: premier_by_name_history
      parameters:
        - name: name
          in: path
          description: Team name
          required: true
          schema:
            type: string
        - name: tag
          in: path
          description: Team tag
          required: true
          schema:
            type: string
        - name: season
          in: query
          description: Premier season id (optional)
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Premier team history retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PremierTeamHistoryV1Response'
        '400':
          description: Client error
components:
  schemas:
    PremierTeamHistoryV1Response:
      type: object
      required:
        - status
        - data
      properties:
        data:
          $ref: '#/components/schemas/PremierTeamHistoryV1ResponseData'
        status:
          type: integer
          format: int32
          minimum: 0
    PremierTeamHistoryV1ResponseData:
      type: object
      required:
        - league_matches
        - tournament_matches
      properties:
        league_matches:
          type: array
          items:
            $ref: '#/components/schemas/PremierTeamGamesLeagueString'
        tournament_matches:
          type: array
          items:
            $ref: '#/components/schemas/PremierTeamGamesTournament'
    PremierTeamGamesLeagueString:
      type: object
      required:
        - id
        - points_before
        - points_after
        - started_at
      properties:
        id:
          type: string
        points_after:
          type: integer
          format: int32
        points_before:
          type: integer
          format: int32
        started_at:
          type: string
    PremierTeamGamesTournament:
      type: object
      required:
        - tournament_id
        - placement
        - placement_league_bonus
        - points_before
        - points_after
        - matches
      properties:
        matches:
          type: array
          items:
            type: string
        placement:
          type: integer
          format: int32
        placement_league_bonus:
          type: integer
          format: int32
        points_after:
          type: integer
          format: int32
        points_before:
          type: integer
          format: int32
        tournament_id:
          type: string

````